Patterns
curl --request GET \
--url 'https://api.511.org/transit/patterns?api_key='import requests
url = "https://api.511.org/transit/patterns?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.511.org/transit/patterns?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Siri": {
"ServiceDelivery": {
"DataObjectDelivery": {
"dataObjects": {
"ServiceFrame": {
"journeyPatterns": {
"ServiceJourneyPattern": [
{
"id": "SF:49:outbound",
"Name": "Outbound",
"pointsInSequence": {
"StopPointInJourneyPattern": [
{
"order": 1,
"ScheduledStopPointRef": "18079"
},
{
"order": 2,
"ScheduledStopPointRef": "18080"
}
]
}
}
]
}
}
}
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Static NeTEx
Patterns
Journey patterns for a line. Based on transit spec section 2.5 and JSON example B.1.5.
GET
/
transit
/
patterns
Patterns
Authorizations
511.org token query parameter.
Query Parameters
Desired response format. JSON is the default when omitted.
Available options:
json, xml Optional language hint for NeTEx endpoints when multiple languages are available.
Operator or agency identifier.
Line or route identifier.
Journey pattern identifier.
Response
Patterns in JSON or XML.
The response is of type object.